org.modeshape.jboss.service

## Class BinaryStorageService

- java.lang.Object
- - org.modeshape.jboss.service.BinaryStorageService

- All Implemented Interfaces:
    org.jboss.msc.service.Service<BinaryStorage>, org.jboss.msc.value.Value<BinaryStorage>

      public class BinaryStorageService
      extends Object
      implements org.jboss.msc.service.Service<BinaryStorage>

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryStorageService(String repositoryName)`
    `BinaryStorageService(String repositoryName, EditableDocument binaryConfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BinaryStorage` | `binaryStorage()`
    `org.jboss.msc.inject.Injector<org.infinispan.manager.CacheContainer>` | `getBinaryCacheManagerInjector()`
    `org.jboss.msc.value.InjectedValue<String>` | `getBinaryStorageBasePathInjector()`
    `org.jboss.msc.value.InjectedValue<String>` | `getDataDirectoryPathInjector()`
    `BinaryStorage` | `getValue()`
    `void` | `start(org.jboss.msc.service.StartContext arg0)`
    `void` | `stop(org.jboss.msc.service.StopContext arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryStorageService

          public BinaryStorageService(String repositoryName,
                              EditableDocument binaryConfig)

    - #### BinaryStorageService

          public BinaryStorageService(String repositoryName)

  - ### Method Detail

    - #### binaryStorage

          protected final BinaryStorage binaryStorage()

    - #### getBinaryStorageBasePathInjector

          public org.jboss.msc.value.InjectedValue<String> getBinaryStorageBasePathInjector()

      Returns:
        the injector used to set the path where the binary files are to be stored

    - #### getBinaryCacheManagerInjector

          public org.jboss.msc.inject.Injector<org.infinispan.manager.CacheContainer> getBinaryCacheManagerInjector()

      Returns:
        the injector used to set the CacheManager reference used for binary storage

    - #### getValue

          public BinaryStorage getValue()
                                 throws IllegalStateException,
                                        IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<BinaryStorage>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`

    - #### getDataDirectoryPathInjector

          public org.jboss.msc.value.InjectedValue<String> getDataDirectoryPathInjector()

      Returns:
        the injector used to retrieve the path to the data directory

    - #### start

          public void start(org.jboss.msc.service.StartContext arg0)

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<BinaryStorage>`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext arg0)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<BinaryStorage>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.